package com.jsowell.pile.mapper;

import com.jsowell.pile.domain.OrderPayRecord;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface OrderPayRecordMapper {
    /**
     * insert record to table selective
     *
     * @param record the record
     * @return insert count
     */
    int insertSelective(OrderPayRecord record);

    /**
     * select by primary key
     *
     * @param id primary key
     * @return object by primary key
     */
    OrderPayRecord selectByPrimaryKey(Integer id);

    /**
     * update record selective
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(OrderPayRecord record);

    int updateBatch(List<OrderPayRecord> list);

    int batchInsert(@Param("list") List<OrderPayRecord> list);

    int insertOrUpdate(OrderPayRecord record);

    int insertOrUpdateSelective(OrderPayRecord record);

    // int deleteByPrimaryKey(Integer id);

    // int updateByPrimaryKey(OrderPayRecord record);

    List<OrderPayRecord> getOrderPayRecordList(@Param("orderCode") String orderCode);
}